OpenEL 3.0.0

Public Attributes | List of all members
elMotorLegoNxt Struct Reference

`#include <openEL_NXT.h>`

## Public Attributes
ELInt32(* | pFncMotorInit )(ELUInt32 portid)
ELInt32(* | pFncGetCtlMode )(ELUInt32 portid, ELInt32 *pMode)
ELInt32(* | pFncSetCtlMode )(ELUInt32 portid, ELInt32 *pMode)
ELInt32(* | pFncGetAngle )(ELUInt32 portid, ELUInt32 sw, ELFloat64 *pAngle)
ELInt32(* | pFncSetAngle )(ELUInt32 portid, ELFloat64 angle, ELFloat64 speed)
ELInt32(* | pFncResetEncoder )(ELUInt32 portid)
ELInt32(* | pFncGetSpeed )(ELUInt32 portid, ELInt32 idx, ELFloat64 *pOutSpeed)
ELInt32(* | pFncSetSpeed )(ELUInt32 portid, ELFloat64 speed)
ELInt32(* | pFncGetBrake )(ELUInt32 portid, ELBool *pFlagBrake)
ELInt32(* | pFncSetBrake )(ELUInt32 portid, ELBool *pFlagBrake)

## Detailed Description

Definition at line 59 of file openEL_NXT.h.

## Member Data Documentation

## ◆ pFncGetAngle

ELInt32(* elMotorLegoNxt::pFncGetAngle) (ELUInt32 portid, ELUInt32 sw, ELFloat64 *pAngle)

Definition at line 63 of file openEL_NXT.h.

## ◆ pFncGetBrake

ELInt32(* elMotorLegoNxt::pFncGetBrake) (ELUInt32 portid, ELBool *pFlagBrake)

Definition at line 68 of file openEL_NXT.h.

## ◆ pFncGetCtlMode

ELInt32(* elMotorLegoNxt::pFncGetCtlMode) (ELUInt32 portid, ELInt32 *pMode)

Definition at line 61 of file openEL_NXT.h.

## ◆ pFncGetSpeed

ELInt32(* elMotorLegoNxt::pFncGetSpeed) (ELUInt32 portid, ELInt32 idx, ELFloat64 *pOutSpeed)

Definition at line 66 of file openEL_NXT.h.

## ◆ pFncMotorInit

ELInt32(* elMotorLegoNxt::pFncMotorInit) (ELUInt32 portid)

Definition at line 60 of file openEL_NXT.h.

## ◆ pFncResetEncoder

ELInt32(* elMotorLegoNxt::pFncResetEncoder) (ELUInt32 portid)

Definition at line 65 of file openEL_NXT.h.

## ◆ pFncSetAngle

ELInt32(* elMotorLegoNxt::pFncSetAngle) (ELUInt32 portid, ELFloat64 angle, ELFloat64 speed)

Definition at line 64 of file openEL_NXT.h.

## ◆ pFncSetBrake

ELInt32(* elMotorLegoNxt::pFncSetBrake) (ELUInt32 portid, ELBool *pFlagBrake)

Definition at line 69 of file openEL_NXT.h.

## ◆ pFncSetCtlMode

ELInt32(* elMotorLegoNxt::pFncSetCtlMode) (ELUInt32 portid, ELInt32 *pMode)

Definition at line 62 of file openEL_NXT.h.

## ◆ pFncSetSpeed

ELInt32(* elMotorLegoNxt::pFncSetSpeed) (ELUInt32 portid, ELFloat64 speed)

Definition at line 67 of file openEL_NXT.h.

The documentation for this struct was generated from the following file:

- /Users/nakamura/openel/OpenEL-3.0.0/include/openEL_NXT.h